Bug 49428 - Disk Druid mount definition fails with 3 partitions
Disk Druid mount definition fails with 3 partitions
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-19 11:08 EDT by Richard Forrister
Modified: 2007-04-18 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-20 10:22:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Forrister 2001-07-19 11:08:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; SunOS 5.7 sun4u)

Description of problem:
If you use fdisk to partition your drive and create > 4 partitions, the
mount naming step in disk druid that follows will not recognize any
partitions other than 1 and 5.  All other partitions have type "None" and
no mount point can be specified.  Attempting to edit the partition in disk
druid at that point fails.

How reproducible:
Always

Steps to Reproduce:
1.Select fdisk for disk partitioning.
2.Create /dev/hda1,primary; hda2, primary; hda3,extended; hda4, primary. 
Then create hda5,6,7,8
3.Save partition data, select Next.
4.In Disk Druid partition /dev/hda1 will be shown as type Ext3 and it's
mount point can be specified.  /dev/hda5 will be shown as type Ext2, and
it's mount point can be specified.  All other partitions will be shown as
type "None" and no mount points can be specified.	

Actual Results:  See steps to reproduce above.

Expected Results:  Partitions should have been shown as Ext2, 3, or swap
and mount points should have been definable.

Additional info:

You can get around this and create a mulitple partition >3 installation if
you use ONLY disk druid.  Even there, the inability to specify the
partition you're creating as type "extended" is awkward to work around. 
Creating complex partition schema's in disk druid is not a straightforward
process.
Comment 1 Matt Wilson 2001-07-19 12:03:44 EDT
did you select a filesystem to use for these new partitions?
Comment 2 Richard Forrister 2001-07-19 12:10:45 EDT
All partitions were newly created; all specified as type 83 or type 82.
Comment 3 Glen Foster 2001-07-19 17:11:17 EDT
This defect considered SHOULD-FIX for Fairfax.
Comment 4 Jeremy Katz 2001-07-20 15:37:07 EDT
This should have been one of the things fixed by msf's update disk at
ftp://people.redhat.com/msf/update-disk-07192001.img (or if not, it's done in
internal trees from after that, but I'm pretty certain that it was fixed then)

Note You need to log in before you can comment on or make changes to this bug.